# schema

## Add RPO Schema

 - [POST /v4/orchestration/config/schema](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/addrposchema.md): Adds a schema to a receiver address.

## Get All RPO Schemas

 - [GET /v4/orchestration/config/schema](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/getrposchemas.md): Gets a list of configured RPO schemas.

## Update RPO Schemas by schema_uuid

 - [PUT /v4/orchestration/config/schema/{schema_uuid}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/updaterposchema.md): Updates an existing RPO Schemas by schema_uuid.

## Delete RPO Schemas by 'schema_uuid'

 - [DELETE /v4/orchestration/config/schema/{schema_uuid}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/deleterposchema.md): Deletes an existing RPO Schema by 'schema_uuid'.

## Get RPO Schemas by Address

 - [GET /v4/orchestration/config/schema/{receiverAddress}/](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/getrposchemasbyreceiveraddress.md): Gets a list of configured RPO schemas by RippleNet Receiver Address.

## Get RPO Schemas by Address and Currency

 - [GET /v4/orchestration/config/schema/{receiverAddress}/{receiverCurrency}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/schema/getrposchemasbyreceiveraddressandreceivercurrency.md): Gets a list of configured RPO schemas by RippleNet Receiver Address and Currency.

